%define oname re-alpine
%define over 2.03

Summary: Alpine mail user agent
Name: alpine
Version: 2.24
Release: %mkrel 1
License: ASL 2.0
Group: Networking/Mail
Source:  http://alpine.x10host.com/%{name}/release/src/%{name}-%{version}.tar.xz
URL:     http://alpine.x10host.com/
BuildRequires: hunspell
BuildRequires: pkgconfig(ncurses)
BuildRequires: pam-devel
BuildRequires: pkgconfig(openssl) >= 1.1.0
BuildRequires: libldap-devel
BuildRequires: gettext-devel
Conflicts: pine
Requires: hunspell
Requires: mailcap

%description
Alpine is a tool for reading, sending, and managing e-mail and
internet news (usenet) messages. It is the successor to Pine and
was developed by Computing & Communications at the University of
Washington.

Though originally designed for inexperienced email users,
Alpine supports many advanced features and a large number of
configuration and personal-preference options.

This package contains re-alpine, a continuation of alpine, as well
as changes from http://alpine.freeiz.com/ releases 2.10 and 2.11.
It is patched to add support for maildir style mailboxes.

%prep
%setup -q
%autopatch -p1

%build
#gettextize -f
autoreconf -fi
touch imap/ip6
%configure \
  --enable-debug=no \
  --without-tcl \
  --with-c-client-target=lfd \
  --with-smtp-msa=/usr/sbin/sendmail \
  --with-npa=/usr/bin/inews \
  --with-passfile=.alpine.passfile \
  --with-simple-spellcheck=hunspell \
  --with-interactive-spellcheck=hunspell \
  --with-system-pinerc=%{_sysconfdir}/pine.conf \
  --with-system-fixed-pinerc=%{_sysconfdir}/pine.conf.fixed
%make_build

%install
%make_install

# create/touch %ghost'd files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/pine.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/pine.conf.fixed

%files
%doc README LICENSE
%{_bindir}/alpine
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpload
%{_bindir}/rpdump
%{_mandir}/man1/alpine.1*
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%ghost %config(noreplace) %{_sysconfdir}/pine.conf
%ghost %config(noreplace) %{_sysconfdir}/pine.conf.fixed


%changelog
* Sun Dec 27 2020 neoclust <neoclust> 2.24-1.mga8
+ Revision: 1664313
- New version 2.24

* Sun Dec 27 2020 luigiwalser <luigiwalser> 2.11-8.mga8
+ Revision: 1664280
- add upstream patch to fix CVE-2020-14929

* Fri Oct 30 2020 wally <wally> 2.11-7.mga8
+ Revision: 1640732
- fix build with autoconf > 2.69
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 2.11-6.mga8
+ Revision: 1508442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 2.11-5.mga7
+ Revision: 1294292
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 cjw <cjw> 2.11-4.mga7
+ Revision: 1205107
- openssl 1.1 support: use debian's uw-imap patch and fix patch for pith/smime.c

* Sat Feb 24 2018 cjw <cjw> 2.11-3.mga7
+ Revision: 1204801
- patch13: fix build with openssl 1.1

* Fri Feb 02 2018 wally <wally> 2.11-2.mga7
+ Revision: 1198625
- build with openssl 1.0 (mga#22508)

* Sat Sep 02 2017 cjw <cjw> 2.11-1.mga7
+ Revision: 1150816
- merge releases 2.10 and 2.11 from the only remaining alpine fork

* Wed Mar 02 2016 umeabot <umeabot> 2.03-4.mga6
+ Revision: 983124
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 2.03-3.mga6
+ Revision: 950816
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 cjw <cjw> 2.03-2.mga5
+ Revision: 798467
- drop incorrect -fPIC from CFLAGS

* Sun Nov 09 2014 cjw <cjw> 2.03-1.mga5
+ Revision: 796102
- re-alpine 2.03

* Wed Oct 15 2014 umeabot <umeabot> 2.02-6.mga5
+ Revision: 750833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.02-5.mga5
+ Revision: 677737
- Mageia 5 Mass Rebuild

* Sun Mar 09 2014 wally <wally> 2.02-4.mga5
+ Revision: 601532
- rebuild for mga5
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.02-3.mga3
+ Revision: 345514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 fwang <fwang> 2.02-2.mga2
+ Revision: 182281
- more linkage fix
- turn to default hunspell

* Thu Apr 21 2011 cjw <cjw> 2.02-1.mga1
+ Revision: 89595
- imported package alpine


* Thu Apr 21 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.02-1
- re-alpine 2.02
- fix package description
- do not try to set mlock permissions in %%install

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 2.00-7mdv2011.0
+ Revision: 583361
- bump rel

* Tue Oct 05 2010 Funda Wang <fwang@mandriva.org> 2.00-6mdv2011.0
+ Revision: 583119
- fix linkage
- update str fmt patch (mdv#61199)

* Thu Apr 08 2010 Rémy Clouard <shikamaru@mandriva.org> 2.00-6mdv2010.1
+ Revision: 533142
- Rebuild for new openssl

* Mon Oct 26 2009 Rémy Clouard <shikamaru@mandriva.org> 2.00-5mdv2010.0
+ Revision: 459439
- fix missing buildrequires
- make alpine rebuild against our libtool

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jan 14 2009 Frederik Himpe <fhimpe@mandriva.org> 2.00-2mdv2009.1
+ Revision: 329602
- Fix format string warnings
- Sync with Fedora:
  * Disable build of tcl cgi webmail (it was not packaged anyway)
  * Use system pinerc and fixed pinerc in /etc
  * Use passfile to save passwords (bug #46703)
  * Add mailcap and aspell requirements
  * Use %%makeinstall_std, only install mailutil and mlock by hand

* Wed Aug 27 2008 Frederik Himpe <fhimpe@mandriva.org> 2.00-1mdv2009.0
+ Revision: 276622
- update to new version 2.00

* Mon Aug 11 2008 Olivier Thauvin <nanardon@mandriva.org> 1.10-3mdv2009.0
+ Revision: 270763
- 1.10

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Sun Dec 30 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdv2008.1
+ Revision: 139451
- fix group
- conflicts with pine, of course
- import alpine


